/**
 * @file fragment api for RecorderManager
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        content: '',
        stopDisabled: true,
        pauseDisabled: true
    },
    RecorderManagerStart() {
        let that = this;
        const recorderManager = swan.getRecorderManager()
        const backgroundAudioManager = swan.getBackgroundAudioManager()

        recorderManager.onStart(function(res) {
            console.log('recorder onStart', res)
            swan.showModal({
                title: 'success',
                content: 'recorder onStart'
            })
            that.setData('stopDisabled', false)
        });

        recorderManager.onError(function(err) {
            console.log('recorder onError', err)
            swan.showModal({
                title: 'success',
                content: 'recorder onStart'
            })
            that.setData('stopDisabled', false)
        });

        recorderManager.onStop(function(res) {
            console.log('recorder onStop', res)
            swan.showModal({
                title: 'success',
                content: JSON.stringify(res)
            })
           
            backgroundAudioManager.src = res.tempFilePath;
        });
        recorderManager.onPause(function(res) {
            console.log('recorder onPause', res)
            that.setData('pauseDisabled', false)
            swan.showModal({
                title: 'success',
                content: JSON.stringify(res)
            })
        });
        const options = {
            duration: 10000,
            sampleRate: 44100,
            numberOfChannels: 1,
            encodeBitRate: 96000,
            format: 'aac'
        };
        recorderManager.start(options)
        this.recorderManager = recorderManager;
    },
    RecorderManagerStop() {
        this.recorderManager.stop()
    },
    RecorderManagerResume() {
        this.recorderManager.resume()
    },
    RecorderManagerPause() {
        this.recorderManager.pause()
    }
});
