/**
 * @file fragment api for VoiceRecognizerStop
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
    },
    VoiceRecognizerStart() {
        const voiceRecognizer = swan.ai.getVoiceRecognizer();

        voiceRecognizer.onRecognize(res => {
            console.log('voice recognize', res);
            swan.showModal({
                title: 'onRecognize',
                content: JSON.stringify(res),
                showCancel: false
            });
        });
        voiceRecognizer.onFinish(res => {
            console.log('voice end', res);
            swan.showModal({
                title: 'onFinish',
                content: JSON.stringify(res),
                showCancel: false
            });
        });
        voiceRecognizer.onError(err => {
            console.log('voice error', err);
            swan.showModal({
                title: 'onError',
                content: JSON.stringify(err),
                showCancel: false
            });
        });

        const options = {
            mode: 'touch',
            longSpeech: false,
            context: 'input'
        };
        voiceRecognizer.start(options);
        this.voiceRecognizer = voiceRecognizer;
    },
    VoiceRecognizerStop() {
        this.voiceRecognizer.stop();
    }
});
