/**
 * @file fragment api for closeSocket
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    onShow() {
        let that = this;
        swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: res => {
                console.log('connectSocket success', res);
                swan.showToast({
                    title: 'websocket已打开',
                    icon: 'none'
                });
            },
            fail: err => {
                console.log('connectSocket fail', err);
            }
        });
        swan.onSocketOpen(function () {
            that.setData({'openWebsocket': true});
        });

    },
    closeSocket() {
        // 注意这里有时序问题，
        // 如果 swan.connectSocket 还没回调 swan.onSocketOpen，而先调用 swan.closeSocket，那么就做不到关闭 WebSocket 的目的。
        // 必须在 WebSocket 打开期间调用 swan.closeSocket 才能关闭。
        let openWebsocket = this.getData('openWebsocket');
        if (openWebsocket) {
            swan.closeSocket({
                code: '1001',
                reason: 'close reason',
                success: res => {
                    swan.showModal({
                        title: 'websocket已关闭'
                    });
                    console.log('WebSocket链接关闭成功', res);
                },
                fail: err => {
                    console.log('WebSocket链接关闭失败', err);
                }
            });
        }
    }
});