/**
 * @file fragment api for downloadTaskProgress
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: { 
        alreadyData: 0,
        targetData: 0
    },
    downloadTaskProgress() {      
        const downloadTask = swan.downloadFile({
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            header: {
                'content-type': 'application/json'
            },
            success: res => {
                console.log(res.tempFilePath);

            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            },
            complete: () => {
            
            }
        });
        downloadTask.onProgressUpdate(res => {
            console.log('上传进度', res.progress);
            this.setData({
                'progress': res.progress,
                'alreadyData': res.totalBytesWritten,
                'targetData': res.totalBytesExpectedToWrite
            })
            console.log('已经上传的数据长度', res.totalBytesWritten);
            console.log('预期需要上传的数据总长度', res.totalBytesExpectedToWrite);
        });
    }  
});
