/**
 * @file demo api for getSavedFileInfo
 * @author swan
 */

/* globals Page, swan */
/* eslint-disable */
Page({
    /* eslint-disable */
    data: {
        filePath: ''
    },
    saveFile() {
        this.toast('正在保存', 'loading');
        swan.downloadFile({
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            success: res => {
                swan.saveFile({
                    tempFilePath: res.tempFilePath,
                    success: res => {
                        this.toast('保存成功', 'none');
                        this.setData('filePath', res.savedFilePath);
                    },
                    fail: err => {
                        this.toast('保存失败，请稍后重试', 'none');
                    }
                });
            },
            fail: err => {
                this.toast('下载失败，请稍后重试', 'none');
            }
        });
    },
    getSavedFileInfo() {
        swan.getSavedFileList({
            success: res => {
                if (res.fileList.length > 0) {
                    const filePath = res.fileList[0].filePath;
                    swan.getSavedFileInfo({
                        filePath,
                        success: res => {
                            swan.showModal({
                                title: 'success',
                                content: JSON.stringify(res)
                            });
                            console.log('getSavedFileList success', res);
                        },
                        fail: err => {
                            swan.showToast({
                                title: 'fail',
                                icon: 'none'
                            });
                            console.log('getSavedFileList fail', err);
                        }
                    });
                }
            }
        });
    },
    toast(title, icon) {
        swan.showToast({title, icon});
    }
});
