
/**
 * @file fragment api for socketTaskClose
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */

Page({
    data: {
        disabled: false
    },
    onTap() {
        let that = this
        that.setData('disabled', true)
        const socketTask = swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: function (res) {
                console.log('connectSocket success', res.socketTaskId)
            },
            fail: function (err) {
                console.log('connectSocket fail', err);
            }
        });
        
        socketTask.onOpen(function (res) {
            that.socketTaskClose()
        })
        this.socketTask = socketTask

    },
    socketTaskClose() {
        let that = this
        this.socketTask.close({
            success: res => {
                that.setData('disabled', false)
                console.log('关闭WebSocket成功', res);
                swan.showToast({
                    title: '关闭WebSocket成功',
                    icon: 'none'
                });
            },
            fail: err => {
                console.log('关闭WebSocket失败', err);
            }
        });
    }
});