
/**
 * @file fragment api for socketTaskOnClose
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */

Page({
    data: {
        disabled: true
    },
    onShow() {
        let that = this;
        const socketTask = swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: function (res) {
                swan.showToast({
                    title: 'websocket 已打开',
                    icon: 'none'
                });
                that.setData('disabled', false)
                console.log('connectSocket success', res.socketTaskId)
            },
            fail: function (err) {
                console.log('connectSocket fail', err);
            }
        });
        socketTask.onClose(function (res) {
            console.log('socketTask.onClose success', res);
            swan.showModal({
                title: '监听关闭事件成功',
                content: JSON.stringify(res.reason)
            });
        }),
        this.socketTask = socketTask
    },
    socketTaskOnClose() {
        this.socketTask.close({
            success: res => {
                console.log('关闭WebSocket成功', res);
            },
            fail: err => {
                console.log('关闭WebSocket失败', err);
            }
        });
    }
});