
/**
 * @file fragment api for socketTaskOnMessage
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    onShow() {
        const socketTask = new Promise((resolve, reject) => {
            const socketHandler = swan.connectSocket({
                url: 'wss://echo.websocket.org',
                header: {},
                success: function (res) {
                    console.log('connectSocket success', res.socketTaskId);
                },
                fail: function (err) {
                    reject(err);
                    console.log('connectSocket fail', err);
                }
            });
            socketHandler.onOpen(function () {
                resolve(socketHandler);
            });
            socketHandler.onMessage(function (res) {
                console.log(res);
                swan.showModal({
                    title: '监听到发送的数据为' + res.data,
                    content: res.dataType + '类型'
                });
            });
        });
        this.socketTask = socketTask;
    },

    socketTaskSend() {
        this.socketTask.then(socketHandler => {
            socketHandler.send({
                data: 'baidu',
                success: res => {
                    swan.showToast({
                        title: '发送数据成功'
                    });
                    console.log('WebSocket发送数据成功', res);
                },
                fail: err => {
                    console.log('WebSocket发送数据失败', err);
                }
            });
        });
    }
});