/**
 * @file fragment api for uploadTaskProgress
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: { 
        alreadyData: 0,
        targetData: 0
    },
    uploadFile(){
        swan.chooseImage({
            success: res => {
                const uploadTask = swan.uploadFile({
                    url: 'https://smartprogram.baidu.com/xxx', //开发者服务器 url
                    filePath: res.tempFilePaths[0], // 要上传文件资源的路径
                    name: 'myfile',
                    header: {
                        'content-type': 'application/json'
                    },
                    formData: {
                        'user': 'test'
                    },
                    success: res =>{
                        console.log(res.statusCode);
                    },
                    fail: err => {
                        console.log('错误码：' + err.errCode);
                        console.log('错误信息：' + err.errMsg);
                    }
                });

                uploadTask.onProgressUpdate(res => {
                    console.log('上传进度', res.progress);
                    this.setData({
                        'progress': res.progress,
                        'alreadyData': res.totalBytesSent,
                        'targetData': res.totalBytesExpectedToSend
                    })
                    console.log('已经上传的数据长度', res.totalBytesSent);
                    console.log('预期需要上传的数据总长度', res.totalBytesExpectedToSend);
                });
            }
        })
    }
});
