/**
 * @file demo api for advancedGeneralIdentify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();
const NewPage = (params) => {
    var originOload = params.onload;
    params.onload = () => {
        //....
        originOload();
    };
    Page(params);
};
NewPage({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/images/advancedGeneralIdentify.png',
        result: [
            {score: 78.37, root: '商品-容器', keyword: '红酒杯'},
            {score: 62.08, root: '商品-容器', keyword: '杯子'},
            {score: 45.26, root: '商品-瓶饮', keyword: '红酒-葡萄酒'},
            {score: 23.30, root: '商品-厨具/餐具', keyword: '酒杯'},
            {score: 5.14, root: '商品-日用品', keyword: '高脚杯'}
        ]
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api', 
                name: 'advancedGeneralIdentify', 
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData('loading', true);

            setTimeout(() => {
                this.setData({
                    isLoad: true,
                    loading: false
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    advancedGeneralIdentify() {
        if (this.getData('loading')) {
            return;
        }

        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.advancedGeneralIdentify({
                            image,
                            success: res => {
                                console.log('advancedGeneralIdentify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('advancedGeneralIdentify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {
        for (let i = 0, len = data.length; i < len; i++) {
            if (data[i].score && !isNaN(data[i].score)) {
                data[i].score = (data[i].score * 100).toFixed(2);
                if (data[i].score > 100) {
                    data[i].score = 100;
                }
            } else {
                data[i].score = 0;
            }
        }
        this.setData('result', data);
    }
});
