/**
 * @file demo api for animalClassify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/images/animalClassify.png',
        result: [
            {score: '57.39', name: '白天鹅'},
            {score: '16.90', name: '小天鹅'},
            {score: '11.99', name: '白鹅'},
            {score: '9.54', name: '比尤伊克天鹅'},
            {score: '2.11', name: '疣鼻天鹅'},
            {score: '0.27', name: '扁嘴天鹅'}
        ]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api', 
                name: 'animalClassify', 
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    animalClassify() {
        if (this.getData('loading')) {
            return;
        }
        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.animalClassify({
                            image,
                            top_num: 6,
                            success: res => {
                                console.log('animalClassify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('animalClassify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {
        const len = data.length - 1;
        for (let i = len; i >= 0; i--) {
            if (data[i].name === '非动物') {
                data.splice(i, 1);
                continue;
            }

            if (data[i].score && !isNaN(data[i].score)) {
                data[i].score = (data[i].score * 100).toFixed(2);
                if (data[i].score >= 100) {
                    data[i].score = 100;
                }
            } else {
                data[i].score = 0;
            }
        }
        this.setData('result', data);
    }
});
