/**
 * @file demo page for api
 * @author swan
 */

Page({
    data: {
        items: [{
            icon: '../../images/net.png',
            name: '网络',
            open: false,
            list: [{
                subName: '发起请求',
                id: 'request'
            }, {
                subName: '上传文件',
                id: 'uploadFile'
            }, {
                subName: '下载文件',
                id: 'downloadFile'
            }, {
                subName: 'webSocket',
                id: 'webSocket'
            }]
        }, {
            icon: '../../images/ai.png',
            name: 'AI',
            open: false,
            list: [
            // {
            //     subName: '身份证识别',
            //     id: 'ocrIdCard'
            // }, 
            {
                subName: '银行卡识别',
                id: 'ocrBankCard'
            }, {
                subName: '驾驶证识别',
                id: 'ocrDrivingLicense'
            }, {
                subName: '行驶证识别',
                id: 'ocrVehicleLicense'
            }, {
                subName: '文本审核',
                id: 'textReview'
            },
            // {
            //     subName: '语音合成',
            //     id: 'textToAudio'
            // },
            {
                subName: '图像审核',
                id: 'imageAudit'
            }, {
                subName: '通用场景识别',
                id: 'advancedGeneralIdentify'
            }, {
                //     subName: '主体位置检测',
                //     id: 'objectDetectIdentify'
                // }, {
                subName: '车型识别',
                id: 'carClassify'
            }, {
                subName: '菜品识别',
                id: 'dishClassify'
            }, {
                subName: '品牌识别',
                id: 'logoClassify'
            }, {
                subName: '动物识别',
                id: 'animalClassify'
            }, {
                subName: '植物识别',
                id: 'plantClassify'
            }, {
                subName: '语音识别',
                id: 'getVoiceManager'
            }, {
                subName: '人脸检测',
                id: 'faceDetect'
            }, {
                subName: '人脸对比',
                id: 'faceMatch'
            },
            // {
            //     subName: '人脸搜索',
            //     id: 'faceSearch'
            // },
            // {
            //     subName: '在线活体检测',
            //     id: 'faceVerify'
            // },
            {
                subName: '人脸公安验证',
                id: 'facePersonVerify'
            }, {
                subName: '身份信息验证',
                id: 'facePersonIdmatch'
            }]
            // {
            //     subName: '词法分析',
            //     id: 'nlpLexerCustom'
            // },
        }, {
            icon: '../../images/media.png',
            name: '媒体',
            open: false,
            list: [{
                subName: '选择图片',
                id: 'chooseImage'
            }, {
                subName: '预览图片',
                id: 'previewImage'
            }, {
                subName: '获取图片信息',
                id: 'getImageInfo'
            }, {
                subName: '保存图片到相册',
                id: 'saveImageToPhotosAlbum'
            }, {
                subName: '选择图片和视频',
                id: 'chooseAlbum'
            }, {
                subName: '录音',
                id: 'getRecorderManager'
            }, {
                subName: '背景音频',
                id: 'getBackgroundAudioManager'
            }, {
                subName: '获取音频输入源',
                id: 'getAvailableAudioSources'
            }, {
                subName: '选择视频',
                id: 'chooseVideo'
            }, {
                subName: '保存视频至相册',
                id: 'saveVideoToPhotosAlbum'
            }, {
                subName: 'AR相机',
                id: 'ar-camera'
            }, {
                subName: '文件',
                id: 'file'
            }]
        }, {
            icon: '../../images/storage.png',
            name: '数据存储',
            open: false,
            list: [{
                subName: '数据存储',
                id: 'storage'
            }]
        }, {
            icon: '../../images/location.png',
            name: '位置',
            open: false,
            list: [{
                subName: '获取位置',
                id: 'getLocation'
            }, {
                subName: '使用原生地图查看位置',
                id: 'openLocation'
            }, {
                subName: '使用原生地图选择位置',
                id: 'chooseLocation'
            }]
        }, {
            icon: '../../images/ui.png',
            name: '界面',
            open: false,
            list: [{
                subName: '显示模态弹窗',
                id: 'modal'
            }, {
                subName: '显示消息提示框',
                id: 'toast'
            }, {
                subName: '设置页面标题',
                id: 'setNavigationBarTitle'
            },{
                subName: '设置页面标题颜色',
                id: 'setNavigationBarColor'
            }, {
                subName: '标题栏加载动画',
                id: 'navigationBarLoading'
            }, {
                subName: '设置tabBar',
                id: 'tabBar'
            }, {
                subName: '页面跳转',
                id: 'navigateTo'
            }, {
                subName: '创建动画',
                id: 'createAnimation'
            }, {
                subName: '创建绘画',
                id: 'createCanvasContext'
            }, {
                subName: '页面滚动',
                id: 'PageScrollTo'
            }, {
                subName: '设置背景',
                id: 'setBackgroundColor'
            }, {
                subName: '下拉刷新',
                id: 'pullDownRefresh'
            }, {
                subName: '胶囊布局信息',
                id: 'getMenuButtonBoundingClientRect'
            }, {
                subName: '显示操作菜单',
                id: 'showActionSheet'
            }, {
                subName: '获取节点信息',
                id: 'createSelectorQuery'
            }, {
                subName: '用户可见节点',
                id: 'intersectionObserver'
            }, {
                subName: '添加引导',
                id: 'showFavoriteGuide'
            }]
        }, {
            icon: '../../images/device.png',
            name: '设备',
            open: false,
            list: [{
                subName: '获取手机系统信息',
                id: 'getSystemInfo'
            }, {
                subName: '获取运行环境信息',
                id: 'getEnvInfoSync'
            }, {
                subName: '获取手机网络状态',
                id: 'getNetworkType'
            },
            // {
            //     subName: 'canIuse',
            //     id: 'canIuse'
            // },
            {
                subName: '手机内存状态',
                id: 'onMemoryWarning'
            }, {
                subName: '手机网络状态',
                id: 'getNetworkType'
            }, {
                subName: '监听加速度数据',
                id: 'getAccelerometer'
            }, {
                subName: '监听罗盘数据',
                id: 'getCompass'
            }, {
                subName: '监听设备方向',
                id: 'deviceMotion'
            }, {
                subName: '获取电量信息',
                id: 'getBatteryInfo'
            }, {
                subName: '扫码',
                id: 'scanCode'
            }, {
                subName: '屏幕亮度',
                id: 'screenBrightness'
            }, {
                subName: '用户截屏事件',
                id: 'onUserCaptureScreen'
            }, {
                subName: '振动',
                id: 'vibrate'
            }, {
                subName: '手机联系人',
                id: 'addPhoneContact'
            }, {
                subName: '拨打电话',
                id: 'makePhoneCall'
            }, {
                subName: '剪贴板',
                id: 'clipboardData'
            }]
        }, {
            icon: '../../images/interface.png',
            name: '开放接口',
            open: false,
            list: [ 
            {
                subName: '获取第三方数据',
                id: 'getExtConfig'
            }, 
            {
                subName: '登录',
                id: 'login'
            }, {
                subName: '授权',
                id: 'authorize'
            }, 
            {
                subName: '获取用户设备标示',
                id: 'getSwanId'
            }, 
            {
                subName: '获取用户信息',
                id: 'getUserInfo'
            }, {
                subName: '设置',
                id: 'openSetting'
            }, {
                subName: '分享',
                id: 'onShareAppMessage'
            }, {
                subName: '分享按钮',
                id: 'openShare'
            }, {
                subName: '分享文件',
                id: 'shareFile'
            }, {
                subName: '选择收货地址',
                id: 'chooseAddress'
            }, {
                subName: '原生全屏内容发布器',
                id: 'communityEditor'
            }, 
            // {
            //     subName: '原生半屏内容发布器',
            //     id: 'openReplyEditor'
            // }, 
            {
                subName: '支付',
                id: 'payment'
            }, {
                subName: '模板消息',
                id: 'templateMessage'
            }, {
                subName: '获取发票抬头',
                id: 'chooseInvoiceTitle'
            }, {
                subName: '获取用户手机号',
                id: 'getPhoneNumber'
            }, {
                subName: '检测小程序更新',
                id: 'getUpdateManager'
            }]
        }],
        statusBarHeight: 0
    },

    onLoad() {
        // lottie页面需要判断版本
        const t = this;
        swan.getSystemInfo({
            success: res => {
                t.setData({
                    "statusBarHeight": res.statusBarHeight
                })
            }
        });
    },

    toggleClick(e) {
        // 无子项直接跳转
        let apiName = e.currentTarget.dataset.id;
        if (apiName) {
            swan.navigateTo({
                url: '/pages/' + apiName + '/' + apiName
            });
            return;
        }
        // 子项展开与收起
        let items = this.getData('items');
        let index = e.currentTarget.dataset.index;
        items[index].open = !items[index].open;
        this.setData('items', items);
    },
    oneItemClick(e) {
        let apiName = e.currentTarget.dataset.id;
        swan.navigateTo({
            url: '/pages/' + apiName + '/' + apiName
        });
    },
    openSearch() {
        swan.navigateTo({
            url: '/pages/search/search'
        });
    }
});
