/**
 * @file demo api for authorize
 * @author swan
 */
/* globals Page, swan */
let app = getApp();

Page({
    data: {
        title: 'authorize',
        items: [{
            name: '授权获取用户信息',
            id: 'scope.userInfo'
        }, {
            name: '授权获取位置信息',
            id: 'scope.userLocation'
        }, {
            name: '授权保存到相册',
            id: 'scope.writePhotosAlbum'
        }, {
            name: '授权获取收货地址',
            id: 'scope.address'
        }, {
            name: '授权获取发票抬头',
            id: 'scope.invoiceTitle'
        }, {
            name: '授权获取录音功能',
            id: 'scope.record'
        }, {
            name: '授权使用摄像头',
            id: 'scope.camera'
        }]
    },
    onLoad(e) {
    },
    onShow() {
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'authorize',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    btnClick(e) {
        let scope = e.currentTarget.id;
        console.log('scope', scope);
        swan.authorize({
            scope,
            success: res => {
                swan.showToast({
                    title: '授权成功'
                });
            },
            fail: err => {
                swan.openSetting({});
                swan.showToast({
                    title: '授权失败'
                });
                console.log('authorize fail', err);
            }
        });
    }
});
