/**
 * @file demo api for carClassify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        image: 'https://b.bdstatic.com/miniapp/images/carClassify.png',
        result: [
            {score: '10.67', name: '日产BladeGlider', year: '无年份信息'},
            {score: '9.05', name: '标致VisionGranTurismo', year: '无年份信息'},
            {score: '7.54', name: '摩根EV3', year: '2015'},
            {score: '7.18', name: 'LM55', year: '无年份信息'},
            {score: '6.96', name: '奔驰Vision', year: '无年份信息'}
        ]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'carClassify',
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    carClassify() {
        if (this.getData('loading')) {
            return;
        }
        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.carClassify({
                            image,
                            top_num: 5,
                            success: res => {
                                console.log('carClassify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('carClassify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData('loading', false);
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {
        const len = data.length - 1;
        for (let i = len; i >= 0; i--) {
            if (data[i].name === '非车类') {
                data.splice(i, 1);
            } else {
                if (data[i].score && !isNaN(data[i].score)) {
                    data[i].score = (data[i].score * 100).toFixed(2);
                    if (data[i].score > 100) {
                        data[i].score = 100;
                    }
                } else {
                    data[i].score = 0;
                }
            }
        }

        this.setData('result', data);
    }
});
