/**
 * @file demo api for chooseAlbum
 * @author swan
 */

let app = getApp();

Page({
    data: {
        sourceIndex: 1,
        sourceArray: ['图片或视频', '图片及视频'],
        sizeIndex: 1,
        sizeArray: ['压缩', '不压缩'],
        countIndex: 0,
        countArray: [],
        imageList: [],
        videoSrc: '',
        hasVideo: false
    },
    onLoad(e) {
        const array = [];
        for (let i = 0; i < 9; i++) {
            array.push(i + 1);
        }
        this.setData({
            countIndex: array.length - 1,
            countArray: array
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'chooseAlbum',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    sourceChange(e) {
        this.setData('sourceIndex', e.detail.value);
    },
    sizeChange(e) {
        this.setData('sizeIndex', e.detail.value);
    },
    countChange(e) {
        this.setData('countIndex', e.detail.value);
    },
    selectImage() {
        const sourceIndex = this.getData('sourceIndex');
        const count = this.getData('countIndex') + 1;
        if (sourceIndex === 1) {
            const sourceType ='both' ;
            this.chooseImage(sourceType, count);
        } else {
            const sourceType ='single' ;
            this.chooseImage(sourceType, count);
        }
    },
    chooseImage(sourceType, count) {
        const sizeIndex = this.getData('sizeIndex');
        let sizeType = [true, false];
        if (sizeIndex === 0) {
            sizeType = true;
        } else if (sizeIndex === 1) {
            sizeType = false;
        }
        let that = this;
        swan.chooseAlbum({
            count: count,
            mode: sourceType,
            compressed: sizeType,
            success: res => {
                let img = '';
                for (let i = 0;i<res.tempFiles.length;i++ ) {
                    if (res.tempFiles[i].type === 'video') {
                        res.tempFiles[i].videoSrc = res.tempFiles[i].path;
                        res.tempFiles[i].path = 'https://b.bdstatic.com/miniapp/image/default.png';    
                    }
                    that.setData('imageList', res.tempFiles);
                    img = that.getData('imageList');
                }
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });
    },
    videoEnd() {
        this.setData({
            hasVideo: false
        });
    },
    upVideo(e) {
        let src = e.currentTarget.dataset.src;
        this.setData({
            hasVideo: true,
            videoSrc: src
        });
    },
    clearImage() {
        const imageList = this.getData('imageList');
        if (imageList.length > 0) {
            this.setData('imageList', []);
            swan.showToast({title: '清空图片成功'});
        } else {
            swan.showToast({title: '无可清空图片', icon: 'none'});
        }
    },
    previewImage(e) {
        swan.showToast({title: '暂不支持预览', icon: 'none'});
    }
});
