/**
 * @file demo api for chooseLocation
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        longitude: '',
        latitude: '',
        showItem: false
    },
    onLoad(e) {
    },
    onShow() {

    },
    onHide() {
        this.setData({
            showItem: false
        });
    },
    onReady() {
    },
    chooseLocation() {
        swan.authorize({
            scope: 'scope.userLocation',
            success: res => {
                console.log(res);
            },
            fail: function () {
                swan.openSetting({});
            }
        });
        let that = this;
        swan.chooseLocation({
            success: res => {
                console.log('success', res);
                let longitude = 'E:' + that.formatLocation(res.longitude) + '′';
                let latitude =  'N:' + that.formatLocation(res.latitude) + '′';
                console.log('longitude', longitude);
                console.log('latitude', latitude);
                swan.showModal({
                    title: '提醒',
                    content: '你选择的位置已展示'
                });
                that.setData({
                    'name': res.name,
                    'address': res.address,
                    'longitude': longitude,
                    'latitude': latitude
                });

            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            },
            complete: () => {
                that.setData('showItem', true);
            }
        });
    },
    formatLocation(data) {
        return data.toFixed(2).replace('.', '°');
    }
});