/**
 * @file demo api for setClipboardData
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        originData: 'baidu',
        clipboardData: '',
        medium: ''
    },
    onLoad(e) {
    },
    onShow() {
        this.setData({
            autoFocus: true
        });
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api',
                name: 'set/getClipboardData',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    setClipboardData() {  
        swan.setClipboardData({
            data: this.getData('originData'),
            success: res => {
                this.setData('medium', 'baidu');
                swan.showToast({
                    title: '复制成功',
                    icon: 'none'
                });
            },
            fail: err => {
                swan.showToast({
                    title: '复制失败',
                    icon: 'none'
                });
                console.log('setClipboardData fail', err);
            }
        });
    },
    getClipboardData() {
        if(this.getData('medium') == ''){
            swan.showToast({
                title: '请先复制',
                icon: 'none'
            });
            return
        }
        swan.getClipboardData({
            success: res => {
                console.log('getClipboardData success');
                this.setData('clipboardData', 'baidu');
            },
            fail: err => {
                console.log('getClipboardData fail', err);
            }
        });
    }
});
