/**
 * @file demo page for component
 * @author swan
 */

let app = getApp();

Page({
    data: {
        items: [{
            icon: '../../images/view.png',
            name: '视图容器',
            open: false,
            list: [{
                subName: '基础视图',
                subNameTra: 'view',
                id: 'view'
            }, {
                subName: '可滚动视图区域',
                subNameTra: 'scroll-view',
                id: 'scroll-view'
            }, {
                subName: '滑块视图容器',
                subNameTra: 'swiper',
                id: 'swiper'
            }, {
                subName: '可移动视图容器',
                subNameTra: 'movable-view',
                id: 'movable-view'
            }, {
                subName: '文本视图',
                subNameTra: 'cover-view',
                id: 'cover-view'
            }, {
                subName: '图片视图',
                subNameTra: 'cover-image',
                id: 'cover-image'
                }]
            }, {
            icon: '../../images/basecontent.png',
            name: '基础内容',
            open: false,
            list: [{
                subName: '文本',
                subNameTra: 'text',
                id: 'text'
            },  {
                subName: '图标',
                subNameTra: 'icon',
                id: 'icon'
            },  {
                subName: '进度条',
                subNameTra: 'progress',
                id: 'progress'
            },  {
                subName: '富文本',
                subNameTra: 'rich-text',
                id: 'rich-text'
            },  {
                subName: 'Lottie 动画',
                subNameTra: 'animation-view',
                id: 'animation-view'
            }]
            }, {
            icon: '../../images/form.png',
            name: '表单组件',
            open: false,
            list: [{
                subName: '按钮',
                subNameTra: 'button',
                id: 'button'
            },{
                subName: '表单',
                subNameTra: 'form',
                id: 'form'
            }, {
                subName: '表单组件标签',
                subNameTra: 'label',
                id: 'label'
            }, {
                subName: '输入框',
                subNameTra: 'input',
                id: 'input'
            }, {
                subName: '多行输入框',
                subNameTra: 'textarea',
                id: 'textarea'
            }, {
                subName: '多项选择器',
                subNameTra: 'checkbox',
                id: 'checkbox'
            }, 
            // {
            //     subName: '底部弹起的滚动选择器',
            //     subNameTra: 'picker',
            //     id: 'picker'
            // },
            {
                subName: '单项选择器',
                subNameTra: 'radio',
                id: 'radio'
            }, {
                subName: '开关选择器',
                subNameTra: 'switch',
                id: 'switch'
            }, {
                subName: '滑动选择器',
                subNameTra: 'slider',
                id: 'slider'
            }, {
                subName: '滚动选择器',
                subNameTra: 'picker-view',
                id: 'picker-view'
            }]
        }, {
            icon: '../../images/navigate.png',
            name: '导航',
            open: false,
            list: [{
                subName: '页面导航',
                subNameTra: 'navigator',
                id: 'navigator'
            }]
        }, {
            icon: '../../images/media.png',
            name: '媒体组件',
            open: false,
            list: [{
                subName: '图片',
                subNameTra: 'image',
                id: 'image'
            }, {
                subName: '音频',
                subNameTra: 'audio',
                id: 'audio'
            },  {
                subName: '视频',
                subNameTra: 'video',
                id: 'video'
            }, 
            // {
            //     subName: '相机',
            //     id: 'camera'
            // },
            {
                subName: 'AR相机',
                subNameTra: 'ar-camera',
                id: 'ar-camera'
                
            },
            // {
            //     subName: '实时视频播放器',
            //     id: 'live-player'
            // }
        ]}, {
            icon: '../../images/location.png',
            name: '地图',
            open: false,
            list: [{
                subName: '地图',
                subNameTra: 'map',
                id: 'map'
            }]
        }, {
            icon: '../../images/canvas.png',
            name: '画布',
            open: false,
            list: [{
                subName: '画布',
                subNameTra: 'canvas',
                id: 'canvas'
            }]
        }, {
            icon: '../../images/openingability.png',
            name: '开放能力',
            open: false,
            list: [{
                subName: '广告',
                subNameTra: 'ad',
                id: 'ad'
            }, {
                subName: '开放数据',
                subNameTra: 'open-data',
                id: 'open-data'
            }, {
                subName: '网页容器',
                subNameTra: 'webview',
                id: 'webview'
            }]
        }],
        statusBarHeight: 0
    },
    onLoad() {
        // lottie页面需要判断版本
        const t = this;
        swan.getSystemInfo({
            success: res => {
                let version = t.compareVersion('11.2', res.version);
                if (res.platform === 'ios' && version) {
                    t.data.items[1].list[3].id = 'update';
                }
                t.setData({
                    "statusBarHeight": res.statusBarHeight
                })
            }
        });
    },

    
    compareVersion(v1, v2) {
        v1 = v1.split('.');
        v2 = v2.split('.');
        var len = Math.max(v1.length, v2.length);
        while (v1.length < len) {
            v1.push('0');
        }
        while (v2.length < len) {
            v2.push('0');
        }
        for (var i = 0; i < len; i++) {
            var num1 = parseInt(v1[i]);
            var num2 = parseInt(v2[i]);
            if (num1 > num2) {
                return 1;
            } else if (num1 < num2) {
                return 0;
            }
        }
    },

    oneItemClick: e => {
        let viewName = e.currentTarget.dataset.id;
        swan.navigateTo({
            url: '/pages/' + viewName + '/' + viewName
        });
    },

    toggleClick(e) {
        // 无子项直接跳转
        let apiName = e.currentTarget.dataset.id;
        if (apiName) {
            swan.navigateTo({
                url: '/pages/' + apiName + '/' + apiName
            });
            return;
        }

        // 子项展开与收起
        let items = this.getData('items');
        let index = e.currentTarget.dataset.index;
        items[index].open = !items[index].open;
        this.setData('items', items);
    },

    openSearch() {
        swan.navigateTo({
            url: '/pages/search/search'
        });
    }
});
