/**
 * @file demo api for createCanvasContext
 * @author swan
 */
/* globals Page, swan */

const canvas = require('./canvas.js');

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        methods: []
    },
    onReady() {
        this.canvasContext = swan.createCanvasContext('canvas');
        const methods = Object.keys(canvas);
        this.setData({
            methods
        });

        const that = this;
        methods.forEach(function (method) {
            that[method] = function () {
                canvas[method](that.canvasContext);
                that.canvasContext.draw();
            }
        })
    },
    toTempFilePath() {
        swan.canvasToTempFilePath({
            canvasId: 'canvas',
            success(res) {
                console.log('canvasToTempFilePath success', res);
            },
            fail(err) {
                console.log('canvasToTempFilePath fail', err);
            }
        });
    }
});
