/**
 * @file demo api for createSelectorQuery
 * @author swan
 */
/* globals Page, swan */

Page({
    /* eslint-enable */
    data: {
        metrics: []
    },
    onReady() {
        this.queryNodeInfo();
    },
    queryNodeInfo() {
        const query = swan.createSelectorQuery();
        query.select('.target').boundingClientRect();

        query.exec(res => {
            const rect = res[0]
            if (rect) {
                const metrics = []

                for (const key in rect) {
                    if (key !== 'id' && key !== 'dataset') {
                        const val = rect[key]
                        metrics.push({key, val})
                    }
                }

                this.setData({metrics})
            }
        });
    }
});
