/**
 * @file demo api for onDeviceMotionChange
 * @author swan
 */
/* globals Page, swan */
let app = getApp();
Page({
    data: {
        infoList: [{
            engName: 'alpha',
            chinaName: 'z轴角度',
            value: ''
        }, {
            engName: 'beta',
            chinaName: 'x轴角度',
            value: ''
        }, {
            engName: 'gamma',
            chinaName: 'x轴角度',
            value: ''
        }],
        disabled: false
    },
    onLoad(e) {
    },
    onShow() {
    },
    onHide() {
    },
    startDeviceMotionListening() {
        let that = this;
        swan.startDeviceMotionListening({
            interval: 'ui',
            success: res => {
                that.setData('disabled', !this.data.disabled);
                console.log('startDeviceMotionListening success', res);
                that.onDeviceMotionChange();
            },
            fail: err => {
                console.log('startDeviceMotionListening fail', err);
            }
        });
    },
    onDeviceMotionChange() {
        let that = this;
        swan.onDeviceMotionChange(function (res) {
            console.log('onDeviceMotionChange', res);
            that.updateInfoList(res);
        });
    },
    stopDeviceMotionListening() {
        swan.stopDeviceMotionListening({
            success: res => {
                this.setData('disabled', !this.data.disabled);
                console.log('stopDeviceMotionListening success', res);
            },
            fail: err => {
                console.log('stopDeviceMotionListening fail', err);
            }
        });
    },
    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].engName] === undefined) {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].engName];
            }
        }
        this.setData('infoList', infoList);
    }
});