/**
 * @file demo api for downloadFile
 * @author swan
 */


let app = getApp();

Page({
    data: {

    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'downloadFile',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    downloadFile() {
        this.toast('正在保存', 'loading');
        const downloadTask =swan.downloadFile({
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            header: {
                'content-type': 'application/json'
            },
            success: res => {
                const filePath = res.tempFilePath;
                swan.showModal({
                    title: '文件已保存至临时路径',
                    content: '是否需要打开？',
                    confirmText: '打开',
                    success: res => {
                        if (res.confirm) {
                            swan.openDocument({
                                filePath,
                                fileType: 'pdf',
                                fail: err => {
                                    this.toast('打开失败');
                                }
                            });
                        }
                    }
                });
            },
            fail: err => {
                this.toast('下载文件失败');
            },
            complete: () => {
                swan.hideToast();
            }
        });
        downloadTask.onProgressUpdate(res => {
            console.log('下载进度', res.progress);
            console.log('已经下载的数据长度', res.totalBytesWritten);
            console.log('预期需要下载的数据总长度', res.totalBytesExpectedToWrite);
        });
        downloadTask.abort();
    },
    toast(title, icon = 'none') {
        swan.showToast({title, icon});
    }
});
