/**
 * @file demo api for facePersonIdmatch
 * @author swan
 */

let app = getApp();

Page({
    data: {
        iPhoneX: false,
        height: 'auto',
        loading: true,
        disabled: false
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'facePersonIdmatch',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    facePersonIdmatch() {
        this.setData({
            loading: true,
            disabled: true
        });
        swan.showToast({
            title: '验证中...',
            icon: 'loading'
        }); 
        swan.ai.facePersonIdmatch({
            id_card_number: '',
            name: '',
            success: res =>  {
                console.log('success', res);
            },
            fail: err => {
                console.log('err', err);
            },
            complete: () => {
                console.log('complete');
            }
        });
        setTimeout(() => {
            this.setData({
                loading: false,
                disabled: false
            });
            swan.hideToast();
        }, 1000);
    }
});
