/**
 * @file demo api for facePersonVerify
 * @author swan
 */
/* globals Page, swan */
let app = getApp();

Page({
    data: {
        loading: true,
        disabled: false,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/image/facePersonVerify.png',
        imageLeft: 'https://b.bdstatic.com/miniapp/images/facePersonVerify1.png',
        imageMid: 'https://b.bdstatic.com/miniapp/images/facePersonVerify3.png',
        imageRight: 'https://b.bdstatic.com/miniapp/images/facePersonVerify2.png',
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'facePersonVerify',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    facePersonVerify() {
        this.setData({
            loading: true,
            disabled: true
        });
        swan.showToast({
            title: '验证中...',
            icon: 'loading'
        }); 
        swan.ai.facePersonVerify({
            image: 'https://b.bdstatic.com/miniapp/image/facePersonVerify.png',
            image_type: 'URL',
            quality_control: 'NONE',
            liveness_control: 'NONE',
            id_card_number: '',
            name: '',
            success: res =>  {
                console.log('success', res);
            },
            fail: err => {
                console.log('err', err);

            }
        });
        setTimeout(() => {
            this.setData({
                loading: false,
                disabled: false
            });
            swan.hideToast();
        }, 1000);
    }
});
