/**
 * @file demo page for faceSearch
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        imageTop: 'https://b.bdstatic.com/miniapp/image/faceSearch.png',
        imageLeft: 'https://b.bdstatic.com/miniapp/image/faceSearch01.png',
        imageMid: 'https://b.bdstatic.com/miniapp/image/faceSearch02.png',
        imageRight: 'https://b.bdstatic.com/miniapp/image/faceSearch03.png',
        percent: 75,
        text: '有可能是同一个人',
        hasResult: true,
        disabled: true
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'faceSearch',
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true,
                    disabled: false
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    upLoadImage(e) {
        const target = e.currentTarget.dataset.say;
        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 3,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths;
                        if (target === 'imageBottom') {
                            this.setData({
                                imageLeft: image[0], 
                                imageMid: image[1],
                                imageRight: image[2],
                                loading: true, 
                                height: '100%'
                            });
                        }
                        else if (target === 'imageTop'){
                            this.setData({imageTop: image[0], loading:true, height: '100%'});
                        }
                    },
                    fail: err => {
                    }
                });
            }
        });   
    },
    faceSearch() {
        swan.showToast({
            title: '识别中...',
            icon: 'loading',
            duration: 20000
        });
        let imageTop = this.getData('imageTop');
        let imageLeft = this.getData('imageLeft');
        let imageMid = this.getData('imageMid');
        let imageRight = this.getData('imageRight');
        let that = this;
        this.setData({
            hasResult: true
        });
        swan.ai.faceSearch({
            image: imageTop,
            image_type: 'BASE64',
            group_id_list: 'imageLeft,imageMid,imageRight',
	        quality_control: 'NONE',
            liveness_control: 'NONE',
            max_user_num: 1,
            success (res) {
                swan.hideToast();
                console.log('res',res);
            },
            fail (err) {
                console.log('err',err);
                swan.hideToast();
                if(err.errCode ===  222202){
                    that.setData({
                        hasResult: false,
                        loading: false
                    });
                }
            },
            complete () {
                console.log('complete');
                swan.hideToast();
            }
        });
    }
});
