/**
 * @file demo page for faceVerify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/image/faceVerify.png',
        faceVerify: true,
        hasFace: true

    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'faceVerify',
            });
        }
        // this.setImageData();
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    description(){
        swan.showModal({
            title: '识别规则说明',
            content: '此示例中，多张人脸的图片只识别面积最大的人脸（实际可识别全部人脸）',
            confirmText: '我知道了',
            showCancel: false
        });

    },
    faceVerify() {
        if (this.getData('loading')) {
            return;
        }
        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 2,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths;
                        this.setData({image: image[0], loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 1000
                        });
                        let that = this;
                        swan.ai.faceVerify({
                            data: [
                                {
                                    "image": image[0],
                                    "image_type": "BASE64",
                                    "face_field": "face_liveness"
                                },
                                {
                                    "image": image[1],
                                    "image_type": "BASE64",
                                    "face_field": "face_liveness"
                                }
                            ],
                            success: res =>  {
                                that.setData('hasFace',true)
                                console.log('ai.faceVerify success', res);
                                if (res.face_liveness >= 0.393241) {
                                    that.setData('faceVerify', true)
                                }
                                else if (res.face_liveness < 0.393241) {
                                    that.setData('faceVerify', false)
                                }
                            },
                            fail: err => {
                                that.setData('hasFace',false)
                                console.log('ai.faceVerify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                that.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
});