/**
 * @file demo api for getBatteryInfo
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        infoList: [{
            engName: 'level',
            chinaName: '电量',
            value: ''
        }, {
            engName: 'isCharging',
            chinaName: '是否充电中',
            value: ''
        }
    ]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getBatteryInfo',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getBatteryInfo() {
        let that = this;
        swan.getBatteryInfo({
            success: res =>  {
                console.log('res', res);
                that.updateInfoList(res);
            },
            fail: err => {
                console.log('getBatteryInfo fail', err);
            }
        });
        // try {
        //     const res = swan.getBatteryInfo();
        //     this.updateInfoList(res);
        // } catch (e) {
        //     console.log('getBatteryInfo fail', e);
        // }
    },

    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].engName] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[0].value = res['level'] + '%';
                if (res['isCharging'] === true) {
                    infoList[1].value = '是';
                }
                else {
                    infoList[1].value = '否';
                }
                this.setData('infoList', infoList);
            }
        }
    }
});
