/**
 * @file demo api for  getCompass
 * @author swan
 */
/* globals Page, swan */
/* eslint-disable new-cap */
let app = getApp();

Page({
    data: {
        title: '旋转手机即可以获取方位信息',
        direction: 0,
        iswatch: true,
        leftdeg: 0,
        rightdeg: 0
    },
    onLoad(e) {
    },
    onReady() {
        let that = this;
        swan.onCompassChange(function (res) {
            that.setData({
                direction: parseInt(res.direction, 10)
            });
            that.updateProgress(res.direction);
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getCompass',
            });
        }
        let watch = this.getData('iswatch');
        if (watch) {
            swan.startCompass();
        } else {
            swan.stopCompass();
        }
    },
    startWatch() {
        this.setData('iswatch', true);
        swan.startCompass();
    },
    stopWatch() {
        this.setData('iswatch', false);
        swan.stopCompass();
    },
    updateProgress(direction) {
        let leftdeg;
        let rightdeg;
        let deg = +direction;
        if (deg > 180) {
            leftdeg = 180;
            rightdeg = 180 - deg;
        } else {
            leftdeg = -deg;
            rightdeg = 0;
        }
        this.setData({
            leftdeg: leftdeg,
            rightdeg: rightdeg
        });
    }
});
