/**
 * @file demo api for getEnvInfoSync
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        infoList: [{
            engName: 'appKey',
            chinaName: 'App Key',
            value: ''
        }, {
            engName: 'appName',
            chinaName: '小程序名称',
            value: ''
        }, {
            engName: 'lastAppURL',
            chinaName: '调起协议',
            value: ''
        }, {
            engName: 'sdkVersion',
            chinaName: '基础库版本',
            value: ''
        }, {
            engName: 'scheme',
            chinaName: '协议头',
            value: ''
        }, {
            engName: 'env',
            chinaName: '小程序版本',
            value: ''
        }
    ]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getEnvInfoSync',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getEnvInfoSync() {
        try {
            const res = swan.getEnvInfoSync();
            console.log(res);
            this.updateInfoList(res);
        } catch (e) {
            console.log('getEnvInfoSync fail', e);
        }
    },
    clearClick() {
        this.updateInfoList({});
    },
    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].engName] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].engName];
            }
        }
        this.setData('infoList', infoList);
    }
});
