/**
 * @file demo api for getImageInfo
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        result: '',
        infoList: [{
            chinaName: '图片宽度',
            engName: 'width', 
            value: ''
        }, {
            chinaName: '图片高度',
            engName: 'height', 
            value: ''
        }, {
            chinaName: '文件格式',
            engName: 'type', 
            value: ''
        }, {
            chinaName: '方向',
            engName: 'orientation', 
            value: ''
        }]
    },
    onLoad(e) {
    },

    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getImageInfo',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },

    getImageInfo() {
        let that = this;
        swan.getImageInfo({
            src: 'https://b.bdstatic.com/miniapp/image/getImageInfo.png',
            success: res => {
                console.log('getImageInfo success', res);
                that.updateInfoList(res);
            },
            fail: err => {
                console.log('getImageInfo fail', err);
            }
        });
    },

    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for ( let i = 0; i < infoList.length; ++i ) {
            if ( res[infoList[i].engName] === '' ) {
                infoList[i].value = '暂无';
            } else {
                if( infoList[i].engName == 'width' ||  infoList[i].engName == 'height' ){
                    infoList[i].value = res[infoList[i].engName] + "px";
                }
                else{
                    infoList[i].value = res[infoList[i].engName];
                }
            }
        }
        this.setData('infoList', infoList);
    }
});
