/**
 * @file demo api for getLocation
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        loading: false,
        location: '',
        infoList: [{
            chinaName: '精确度', 
            engName: 'accuracy', 
            value: ''
        }, {
            chinaName: '高度', 
            engName: 'altitude', 
            value: ''
        }, { 
            chinaName: '城市名称', 
            engName: 'city', 
            value: ''
        }, {
            chinaName: '城市编码', 
            engName: 'cityCode', 
            value: ''
        }, { 
            chinaName: '国家', 
            engName: 'country', 
            value: ''
        }, {
            chinaName: '国家代码', 
            engName: 'countryCode', 
            value: ''
        }, {
            chinaName: '区', 
            engName: 'district', 
            value: ''
        }, {
            chinaName: '水平精度', 
            engName: 'horizontalAccuracy', 
            value: ''
        }, {
            chinaName: '纬度', 
            engName: 'latitude', 
            value: ''
        }, {
            chinaName: '经度', 
            engName: 'longitude', 
            value: ''
        }, {
            chinaName: '省份', 
            engName: 'province', 
            value: ''
        }, {
            chinaName: '速度', 
            engName: 'speed', 
            value: ''
        }, {
            chinaName: '街道名称', 
            engName: 'street', 
            value: ''
        }, {
            chinaName: '街道号码', 
            engName: 'streetNumber', 
            value: ''
        }, {
            chinaName: '垂直精度', 
            engName: 'verticalAccuracy', 
            value: ''
        }]
    },
    onLoad(e) {

    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getLocation',
           });
        }
        let infoList = this.getData('infoList');
        for (var i = 0; i < infoList.length; i++) {
            infoList[i].value = '';
        }
        this.setData({infoList});
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getLocation(e) {
        this.setData('loading', true);
        // let that = this;
        swan.getLocation({
            type: 'gcj02',
            altitude: true,
            success: res => {
                console.log('success', res);
                let infoList = this.getData('infoList');
                for (var i = 0; i < infoList.length; i++) {
                    const engName = infoList[i].engName;
                    console.log('engName', res[engName]);
                    if (res[engName] === '') {
                        infoList[i].value = '暂无';
                    } else {
                        engName === 'latitude' || engName === 'longitude'
                        ? infoList[i].value = this.formatLocation(res[engName]) + '′'
                        : infoList[i].value = res[engName];
                    }
                }
                this.setData({infoList});
            },
            fail: err => {
                swan.showToast({title: '获取失败'});
            },
            complete: () => {
                this.setData('loading', false);
            }
        });
    },
    formatLocation(data) {
        return data.toFixed(2).replace('.', '°');
    }
});
