/**
 * @file demo api for getNetworkType
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        networkType: '未获取',
        changeData: true,
        workType: true
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getNetworkType',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getNetworkType() {
        swan.getNetworkType({
            success: res => {
                this.setData({
                    'networkType': res.networkType,
                    'changeData': false,
                    'workType': true
                });
            },
            fail: err => {
                this.setData({
                    'workType': false
                });
                swan.showToast({
                    title: '获取网络状态失败'
                });
            }
        });
    },

    clearClick(e) {
        this.setData('changeData', true);
    }
});
