/**
 * @file demo api for getSwanId
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        infoList: [{
            key: 'swanid',
            value: ''
        }, {
            key: 'swanid_old',
            value: ''
        }, {
            key: 'swanid_old_signature',
            value: ''
        }, {
            key: 'swanid_signature',
            value: ''
        }]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getSwanId',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getSwanId(e) {
        swan.getSwanId({
            success: res => {
                console.log('res', res.data);
                // 更新数据
                this.updateInfoList(res.data);
            },
            fail: err => {
                swan.showToast({
                    title: '获取失败'
                });
            }
        });
    },

    clearClick() {
        this.updateInfoList({});
    },

    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].key] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].key];
            }
        }
        this.setData('infoList', infoList);
    }
});

