/**
 * @file demo api for getSystemInfo
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        infoList: [{
            label: '手机品牌',
            key: 'brand',
            value: ''
        }, {
            label: '手机型号',
            key: 'model',
            value: ''
        }, {
            label: '使用窗口宽',
            key: 'windowWidth',
            value: ''
        }, {
            label: '使用窗口高',
            key: 'windowHeight',
            value: ''
        },{
            label: '状态栏高',
            key: 'statusBarHeight',
            value: ''
        },{
            label: '导航栏高',
            key: 'navigationBarHeight',
            value: ''
        }, {
            label: '宿主版本',
            key: 'version',
            value: ''
        }, {
            label: '操作系统',
            key: 'system',
            value: ''
        }, {
            label: '客户端平台',
            key: 'platform',
            value: ''
        }, {
            label: '屏幕宽度',
            key: 'screenWidth',
            value: ''
        }, {
            label: '屏幕高度',
            key: 'screenHeight',
            value: ''
        }, {
            label: '用户字体',
            key: 'fontSizeSetting',
            value: ''
        }, {
            label: '基础库版本',
            key: 'SDKVersion',
            value: ''
        }, {
            label: '宿主平台',
            key: 'host',
            value: ''
        }, {
            label: '宿主平台版本',
            key: 'swanNativeVersion',
            value: ''
        }, {
            label: '屏幕密度',
            key: 'devicePixelRatio',
            value: ''
        }, {
            label: 'DPI',
            key: 'pixelRatio',
            value: ''
        }, {
            label: '宿主语言',
            key: 'language',
            value: ''
        }]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getSystemInfo',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getSystemInfo(e) {
        swan.getSystemInfo({
            success: res => {
                console.log('res', res);
                // 更新数据
                this.updateInfoList(res);
            },
            fail: err => {
                swan.showToast({
                    title: '获取失败'
                });
            }
        });
    },

    clearClick() {
        this.updateInfoList({});
    },

    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].key] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].key];
            }
        }
        this.setData('infoList', infoList);
    }
});
