/**
 * @file demo api for getUpdateManager
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        phoneNumber: ''
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getUpdateManager',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    applyUpdate() {
        const updateManager = swan.getUpdateManager();
            updateManager.onCheckForUpdate(function (res) {
                // 请求完新版本信息的回调
                console.log("res", res.hasUpdate);
                if(!res.hasUpdate){
                    swan.showModal({
                        title: '更新提示',
                        content: '无可用更新版本',
                    });
                }
            });
    
            updateManager.onUpdateReady(function (res) {  
                swan.showModal({
                    title: '更新提示',
                    content: '新版本已经准备好，是否重启应用？',
                    success(res) {
                        if (res.confirm) {
                            // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                            updateManager.applyUpdate();
                        }
                    }
                });
            });
    
            updateManager.onUpdateFailed(function (err) {
                // 新的版本下载失败
                console.log('update fail', err);
            });
    
            this.updateManager = updateManager;
            this.updateManager.applyUpdate();
    }
});

