/**
 * @file demo api for getUserInfo
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        nickname: '百度网友',
        imageSrc: '../../images/avator.png',
        nameColor: 'default',
        title: 'getUserInfo'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getUserInfo',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getUserInfo(e) {
        swan.getUserInfo({
            success: res => {
                console.log('res', res);
                let userInfo = res.userInfo;
                this.setData({
                    nickname: userInfo.nickName || '百度网友',
                    imageSrc: userInfo.avatarUrl || '../../images/avator.png',
                    nameColor: 'active'
                });
            },
            fail: err => {
                console.log('err', err);
                swan.showToast({
                    title: '请先授权'
                });
            }
        });
    },
    clearUserInfo(e) {
        this.setData({
            nickname: '百度网友',
            imageSrc: '../../images/avator.png',
            nameColor: 'default'
        });
    }
});
