/**
 * @file demo api for logoClassify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/images/logoClassify.png',
        result: [
            {name: '百度', probability: '99.99'}
        ]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'logoClassify',
           });
        }
        this.setData({
            autoFocus: true
        });
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    logoClassify() {
        if (this.getData('loading')) {
            return;
        }
        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.logoClassify({
                            image,
                            custom_lib: false,
                            success: res => {
                                console.log('dishClassify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('dishClassify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {
        for (let i = 0, len = data.length; i < len; i++) {
            if (data[i].probability && !isNaN(data[i].probability)) {
                data[i].probability = (data[i].probability * 100).toFixed(2);
                if (data[i].probability >= 100) {
                    data[i].probability = 100;
                }
            } else {
                data[i].probability = 0;
            }
        }
        this.setData('result', data);
    }
});
