/**
 * @file demo api for makePhoneCall
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        phoneNumber: ''
    },
    onLoad(e) {
    },
    onShow() {
        this.setData({
            autoFocus: true
        });
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api',
                name: 'makePhoneCall',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    phoneNumberInput(e) {
        this.setData('phoneNumber', e.detail.value);
    },

    makePhoneCall(e) {
        let phoneNumber = this.getData('phoneNumber');
        if (!phoneNumber) {
            swan.showToast({
                title: '请输入电话号码'
            });
            return;
        }
        swan.makePhoneCall({
            phoneNumber,
            fail: err => {
                swan.showModal({
                    title: '拨打失败',
                    content: '请检查是否输入了正确的电话号码',
                    showCancel: false
                });
            }
        });
    }
});
