/**
 * @file demo component for map
 * @author swan
 */

let app = getApp();

Page({
    data: {
        scale: 16,
        latitude: '40.048828',
        longitude: '116.280412',
        polyline:[],
        circles:[],
        enable3d: false,
        showCompass: false,
        showLocation: true,
        enableOverlooking: false,
        enableZoom: true,
        enableScroll: true,
        enableRotate: false,
        drawPolygon: false,
        enableSatellite: false,
        enableTraffic: false,
        markers: [{
            markerId: '1',
            latitude: '40.052751',
            longitude: '116.278796'
        }, {
            markerId: '2',
            latitude: '40.048828',
            longitude: '116.280412',
            callout: {
                display: 'ALWAYS',
                content: '百度科技园'
            }
        }, {
            markerId: '3',
            latitude: '40.049655',
            longitude: '116.27505',
            callout: {
                display: 'ALWAYS',
                content: '西山壹号院'
            }
        }],
        polyline: [{
            points: [{
                longitude: 116.278796,
                latitude: 40.048828
            }, {
                longitude: 116.27505,
                latitude: 40.049655
            }],
            color: '#FF5F41FF',
            width: 2,
            dottedLine: true
        }],
        controls: [{
            controlId: 1,
            iconPath: '/images/api_logo.png',
            position: {
                left: 0,
                top: 100,
                width: 50,
                height: 50
            },
            clickable: true
        }],
        circles: [{
            latitude: '40.052751',
            longitude: '116.278796',
            color: '#FF5F41FF',
            fillColor: '#21FFFFFF',
            radius: '200',
            strokeWidth: '2'
        }]
    },
    onLoad(e) {
    },
    onShow() {
        this.setData({
            autoFocus: true
        });
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'map',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    onReady() {
        console.log('map ready');
        this.mapContext = swan.createMapContext('myMap');
    },
    toggle3d() {
        this.setData({
            enable3d: !this.data.enable3d
        })
    },
    toggleShowCompass() {
        this.setData({
            showCompass: !this.data.showCompass
        })
    },
    toggleRotate() {
        this.setData({
          enableRotate: !this.data.enableRotate
        })
    },
    togglePolygon() {
        this.setData({
          drawPolygon: !this.data.drawPolygon
        })
      },
      toggleSatellite() {
        this.setData({
          enableSatellite: !this.data.enableSatellite
        })
      },
      toggleTraffic() {
        this.setData({
          enableTraffic: !this.data.enableTraffic
        })
      },
    demoCircle() {
        this.setData({
            scale: 16,
            longitude,
            latitude,
            circles: [{
            latitude: '40.048828',
            longitude: '116.280412',
            color: '#BB76FF88',
            fillColor: '#BB76FF33',
            radius: 100,
            strokeWidth:3,
            }]
        });
    },
    toggleOverlooking() {
        this.setData({
          enableOverlooking: !this.data.enableOverlooking
        })
    },
    onMarkertap(e) {
        console.log('onMarkertap callback:');
        console.log(e);
    },
    onCallouttap(e) {
        console.log('onCallouttap callback:');
        console.log(e);
    },
    onControltap(e) {
        console.log('onControltap callback:');
        console.log(e);
    },
    onRegionchange(e) {
        console.log('onRegionchange callback:');
        console.log(e);
    },
    onTap(e) {
        console.log('onTap callback:');
        console.log(e);
    },
    onUpdated(e) {
        console.log('onUpdated callback::');
        console.log(e);
    }
});