/**
 * @file demo api for objectDetectIdentify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        iPhoneX: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/image/animalClassify.png',
        result: {
            top: 249,
            left: 553,
            width: 261,
            height: 203
        }
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('iPhoneX', /iPhone X/.test(res.model));
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'objectDetectIdentify',
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData('loading', true);

            setTimeout(() => {
                this.setData({
                    isLoad: true,
                    loading: false
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    objectDetectIdentify() {
        if (this.getData('loading')) {
            return;
        }

        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.objectDetectIdentify({
                            image,
                            with_face: 1,
                            success: res => {
                                swan.showModal({
                                    title: 'succ',
                                    content: JSON.stringify(res)
                                })
                                console.log('objectDetectIdentify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('objectDetectIdentify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {

        this.setData('result', data);

        swan.createSelectorQuery().select('.api-image').boundingClientRect(rect => {
            swan.showModal({
                title: 'rect',
                content: JSON.stringify(rect)
            });
        }).exec();
    }
});
