/**
 * @file demo api for onNetworkStatusChange
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        networkType: ''
    },
    onLoad(e) {
        let that = this;
        swan.getNetworkType({
            success: res => {
                that.setData('networkType', res.networkType);
            }
        });
        swan.onNetworkStatusChange(function (res) {
            console.log(res);
            that.setData('networkType', res.networkType);
        }); 
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'onNetworkStatusChange',
            });
        }
    }
});
