/**
 * @file demo api for onShareAppMessage
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        shareData: {
            title: '小程序标题',
            desc: '世界很复杂，百度更懂你',
            path: '/pages/onShareAppMessage/onShareAppMessage'
        }
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'onShareAppMessage',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },

    onShareAppMessage() {
        return this.data.shareData
    },

    dataInput(e){ 
        let type = e.currentTarget.dataset.type
        let dataInput = e.detail.value
        switch (type) {
            case "title":
                let title = 'shareData.title';
                this.setData({
                    [title]: dataInput
                })
                break;
            case "desc":
                let desc = 'shareData.desc';
                this.setData({
                    [desc]: dataInput
                })
                break;
               case "path":
                let path = 'shareData.path';
                this.setData({
                    [path]: dataInput
                })
                break;
        }
        
    }
});

