/**
 * @file demo api for openShare
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        title: 'openShare'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'openShare',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    onShareAppMessage() {
        return {
            title: '小程序标题',
            content: '世界很复杂，百度更懂你',
            imageUrl: 'http://imgsrc.baidu.com/forum/pic/item/d9f9d72a6059252daecdfc36309b033b5bb5b92e.jpg',
            path: '/pages/openShare/openShare',
            success: res =>  {
                // 分享成功
            },
            fail: err => {
                // 分享失败
            }
        };
    },
    openShare() { 
        swan.openShare({
            title: '智能小程序示例',
            content: '世界很复杂，百度更懂你',
            path: '/pages/openShare/openShare?key=value',
            imageUrl: 'https://smartprogram.baidu.com/docs/img/logo_new.png',
            success: function (res) {
                swan.showToast({
                    title: '分享成功'
                });
                console.log('openShare success', res);
            },
            fail: function (err) {
                console.log('openShare fail', err);
            }
        });
    }
});
