/**
 * @file demo api for plantClassify
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        loading: true,
        isLoad: false,
        height: 'auto',
        image: 'https://b.bdstatic.com/miniapp/images/plantClassify.png',
        result: [
            {score: 37.49, name: '繁缕'},
            {score: 21.99, name: '林繁缕'},
            {score: 18, name: '翻白草'},
            {score: 16.96, name: '鹅肠菜'},
            {score: 10.99, name: '雀舌草'}
        ]
    },
    onLoad(e) {
    },
    onShow() {
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api', 
                name: 'plantClassify', 
            });
        }
        if (!this.getData('isLoad')) {
            swan.showToast({
                title: '识别中...',
                icon: 'loading',
                duration: 1000
            });
            this.setData({
                loading: true
            });

            setTimeout(() => {
                this.setData({
                    loading: false,
                    isLoad: true
                });
             }, 1000);
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    plantClassify() {
        if (this.getData('loading')) {
            return;
        }

        swan.showActionSheet({
            itemList: ['拍照', '从手机相册选择'],
            success: res => {
                const sourceType = res.tapIndex === 0 ? 'camera' : 'album';
                swan.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'],
                    sourceType: [sourceType],
                    success: res => {
                        const image = res.tempFilePaths[0];
                        this.setData({image, loading: true, height: '100%'});
                        swan.showToast({
                            title: '识别中...',
                            icon: 'loading',
                            duration: 20000
                        });
                        swan.ai.plantClassify({
                            image,
                            success: res => {
                                console.log('plantClassify success', res);
                                this.setImageData(res.result);
                            },
                            fail: err => {
                                console.log('plantClassify fail', err);
                            },
                            complete: () => {
                                swan.hideToast();
                                this.setData({
                                    loading: false,
                                    height: 'auto'
                                });
                            }
                        });
                    },
                    fail: err => {
                        console.log('chooseImage fail', err);
                    }
                });
            }
        });
    },
    setImageData(data) {
        const len = data.length - 1;
        for (let i = len; i >= 0; i--) {
            if (data[i].name === '非植物') {
                data.splice(i, 1);
                continue;
            }
            if (data[i].score && !isNaN(data[i].score)) {
                data[i].score = (data[i].score * 100).toFixed(2);
                if (data[i].score >= 100) {
                    data[i].score = 100;
                }
            } else {
                data[i].score = 0;
            }
        }
        this.setData('result', data);
    }
});
