/**
 * @file demo api for previewImage
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        isVersion: false
    },
    onLoad(e) {
        swan.getSystemInfo({
            success: res => {
                this.setData('isVersion', res.version < '11.8');
            }
        });
    },
    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'previewImage',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },

    previewImage() {
        swan.previewImage({
            current: 'https://b.bdstatic.com/miniapp/image/swan-preview-image-2-zip.png',
            urls: ['https://b.bdstatic.com/miniapp/image/swan-preview-image-2-zip.png'], 
            success: res => {
                console.log('previewImage success', res);
            },
            fail: err => {
                console.log('previewImage fail', err);
            }
        });
    },

    previewOriginImage() {
        swan.previewImage({
            current: 'https://b.bdstatic.com/miniapp/image/swan-preview-image-zip.png',// current需与urls中链接一致
            urls: ['https://b.bdstatic.com/miniapp/image/swan-preview-image-zip.png'], 
            images: [
                {
                    "url": 'https://b.bdstatic.com/miniapp/image/swan-preview-image-zip.png', 
                    "origin_url": 'https://b.bdstatic.com/miniapp/image/swan-preview-image-origin.png'
                }
            ],
            success: res => {
                console.log('previewImage success', res);
            },
            fail: err => {
                console.log('previewImage fail', err);
            }
        });
    }
});
