/**
 * @file demo api for PullDownRefresh
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        textStyle: 'dark',
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'PullDownRefresh',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    startPullDownRefresh() {
        swan.startPullDownRefresh({
            success: res => {
                console.log('startPullDownRefresh success', res);
            },
            fail: err => {
                console.log('startPullDownRefresh fail', err);
            }
        });
    },
    stopPullDownRefresh() {
        swan.stopPullDownRefresh();
    },
    setBackgroundTextStyle(e) {
        console.log('e', e.target.dataset.set);
        let textStyle = e.target.dataset.set;
        let that = this;
        swan.setBackgroundTextStyle({
            textStyle: textStyle,
            success: function () {
                console.log('setBackgroundTextStyle success');
                if(textStyle == 'dark') {
                    that.setData('textStyle', 'light')
                }
                else {
                    that.setData('textStyle', 'dark')
                }
            },
            fail: err => {
                console.log('setBackgroundTextStyle fail', err);
            }
        });

    }
});
