/**
 * @file demo api for onShareAppMessage
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'onShareAppMessage',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    shareFile() {
        swan.chooseImage({
            count: 1,
            success: res =>  {
                swan.shareFile({
                    filePath: res.tempFilePaths[0],
                    success: res => {
                        swan.showModal({
                            title: '分享成功',
                            content: JSON.stringify(res)
                        });
                    },
                    fail: err => {
                        swan.showModal({
                            title: '分享失败',
                            content: JSON.stringify(err)
                        });
                    }
                });
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });
    }
});

