/**
 * @file demo api for saveImageToPhotosAlbum
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        filePath: ''
    },
    onLoad(e) {
    },

    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'saveImageToPhotosAlbum',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    saveImageToPhotosAlbum() {
        swan.authorize({
            scope:'scope.writePhotosAlbum',
            success: res => {
                console.log(res);
            },
            fail: err => {
                console.log('authorize fail', err);
                swan.openSetting({});
                swan.showToast({
                    title: '授权失败',
                    icon: 'none'
                });
            }
        });
        let that = this;
        swan.downloadFile({
            // 仅为示例，并非真实的资源
            url: 'https://b.bdstatic.com/miniapp/image/getImageInfo.png',
            header: {
                'content-type': 'application/json'
            },
            success: res => {
                let filePath = res.tempFilePath;
                swan.saveImageToPhotosAlbum({
                    filePath,
                    success: res => {
                        swan.showToast({
                            title: '已保存到本地相册',
                            icon: 'none'
                        });
                        console.log('saveImageToPhotosAlbum success', res);
                    },
                    fail: err => {
                        swan.showToast({
                            title: '',
                            icon: 'none'
                        });
                        console.log('saveImageToPhotosAlbum fail', err);
                    }
                });
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });
    }
});
