/**
 * @file demo api for screenBrightness
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        value: 10
    },
    onLoad(e) {
        swan.getScreenBrightness({
            success: res => {
                let value = res.value || 0.1;
                value = (value * 100).toFixed(0);
                this.setData('value', value);
            },
            fail: err => {
                console.log('getScreenBrightness fail', err);
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'screenBrightness',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    brightnessChange(e) {
        const value = e.detail.value;
        this.setData('value', value);

        swan.setScreenBrightness({
            value: parseFloat(value / 100),
            success: res => {
                console.log('setScreenBrightness success', res);
            },
            fail: err => {
                console.log('setScreenBrightness fail', err);
            }
        });
    },
    keepScreenOn(e) {
        swan.setKeepScreenOn({
            keepScreenOn: e.detail.checked,
            success: res => {
                console.log('keepScreenOn success', res);
            },
            fail: err => {
                console.log('keepScreenOn fail', err);
            }
        });
    }
});
