/**
 * @file demo component for scroll-view
 * @author swan
 */
let app = getApp();
const order = ['one', 'two', 'three'];

Page({
    data: {
        scrollLeft: 'five',
        toView: 'one',
        scrollTop: 0,
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'scroll-view',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    toLeft() {
        swan.showToast({
            title: '到最左边了',
            icon: 'none'
        });
    },
    toRight() {
        swan.showToast({
            title: '到最右边了',
            icon: 'none'
        });
    },
    upper() {
        swan.showToast({
            title: '到顶了',
            icon: 'none'
        });
    },

    lower() {
        swan.showToast({
            title: '到底了',
            icon: 'none'
        });
    },

    scroll(e) {
        console.log('获取滚动事件的详细信息e.detail：');
        console.dir(e.detail);
        this.setData({
            scrollTop: e.detail.scrollTop
        })
    },
    scrollToTop(e) {
        console.log(e);
        this.setData({
          scrollTop: 0,
        });
    },
    tap(e) {
        for (let i = 0; i < order.length; ++i) {
            if (order[i] === this.data.toView) {
                const next = (i + 1) % order.length;
                this.setData({
                    toView: order[next],
                    scrollTop: next * 200,
                });
                break;
            }
        }
    },
    tapMove() {
        this.setData({
            scrollTop: this.data.scrollTop + 10,
        });
    }
});
