/**
 * @file dictionary
 * @author swan
 */

export const componentDictionary = [
    {
        subName: '视图容器',
        id: 'view'
    }, {
        subName: '可滚动视图容器',
        id: 'scroll-view'
    }, {
        subName: '滑块视图容器',
        id: 'swiper'
    }, {
        subName: '可移动视图容器',
        id: 'movable-view'
    }, {
        subName: '图标',
        id: 'icon'
    }, {
        subName: '文本',
        id: 'text'
    }, {
        subName: '进度条',
        id: 'progress'
    }, {
        subName: '动画视图',
        id: 'animation-view'
    }, {
        subName: '表单',
        id: 'form'
    }, {
        subName: '按钮',
        id: 'button'
    }, {
        subName: '多选',
        id: 'checkbox'
    }, {
        subName: '输入框',
        id: 'input'
    }, {
        subName: '嵌套表单',
        id: 'label'
    }, {
        subName: '选择器',
        id: 'picker'
    }, {
        subName: '单选',
        id: 'radio'
    }, {
        subName: '滑块选择器',
        id: 'slider'
    }, {
        subName: '开关选择器',
        id: 'switch'
    }, {
        subName: '页面链接',
        id: 'navigator'
    }, {
        subName: '音频',
        id: 'audio'
    }, {
        subName: '图片',
        id: 'image'
    }, {
        subName: '视频',
        id: 'video'
    }, {
        subName: '地图',
        id: 'map'
    }, {
        subName: '画布',
        id: 'canvas'
    }, {
        subName: '开放数据',
        id: 'open-data'
    }, {
        subName: '网页容器',
        id: 'webview'
    }
];

export const apiDictionary = [
    {
        subName: '授权',
        id: 'authorize'
    }, {
        subName: '获取用户信息',
        id: 'getUserInfo'
    }, {
        subName: '登录',
        id: 'login'
    }, {
        subName: '支付',
        id: 'payment'
    }, {
        subName: '设置',
        id: 'openSetting'
    }, {
        subName: '分享',
        id: 'openShare'
    }, {
        subName: '模板消息',
        id: 'templateMessage'
    }, {
        subName: '选择收货地址',
        id: 'chooseAddress'
    }, {
        subName: '获取发票抬头',
        id: 'chooseInvoiceTitle'
    }, {
        subName: '图像审核',
        id: 'imageAudit'
    }, {
        subName: '身份证识别',
        id: 'ocrIdCard'
    }, {
        subName: '银行卡识别',
        id: 'ocrBankCard'
    }, {
        subName: '驾驶证识别',
        id: 'ocrDrivingLicense'
    }, {
        subName: '行驶证识别',
        id: 'ocrVehicleLicense'
    }, {
        subName: '文本审核',
        id: 'textReview'
    }, {
        subName: '语音识别',
        id: 'getVoiceManager'
    }, {
        subName: '通用场景识别',
        id: 'advancedGeneralIdentify'
    }, {
        subName: '车型识别',
        id: 'carClassify'
    }, {
        subName: '菜品识别',
        id: 'dishClassify'
    }, {
        subName: '品牌识别',
        id: 'logoClassify'
    }, {
        subName: '动物识别',
        id: 'animalClassify'
    }, {
        subName: '植物识别',
        id: 'plantClassify'
    }, {
        subName: '设置页面标题',
        id: 'setNavigationBarTitle'
    }, {
        subName: '标题栏加载动画',
        id: 'navigationBarLoading'
    }, {
        subName: '页面跳转',
        id: 'navigateTo'
    }, {
        subName: '下拉刷新',
        id: 'pullDownRefresh'
    }, {
        subName: '显示操作菜单',
        id: 'showActionSheet'
    }, {
        subName: '显示模态弹窗',
        id: 'modal'
    }, {
        subName: '显示消息提示框',
        id: 'toast'
    }, {
        subName: '底部标签栏',
        id: 'tabBar'
    }, {
        subName: '获取手机系统信息',
        id: 'getSystemInfo'
    }, {
        subName: '获取手机网络状态',
        id: 'getNetworkType'
    }, {
        subName: '监听手机网络状态',
        id: 'onNetworkStatusChange'
    }, {
        subName: '监听重力感应数据',
        id: 'getGravity'
    }, {
        subName: '监听罗盘数据',
        id: 'getCompass'
    }, {
        subName: '拨打电话',
        id: 'makePhoneCall'
    }, {
        subName: '剪贴板',
        id: 'clipboardData'
    }, {
        subName: '扫码',
        id: 'scanCode'
    }, {
        subName: '屏幕亮度',
        id: 'screenBrightness'
    }, {
        subName: '振动',
        id: 'vibrate'
    }, {
        subName: '手机联系人',
        id: 'addPhoneContact'
    }, {
        subName: '用户截屏事件',
        id: 'onUserCaptureScreen'
    }, {
        subName: '发起请求',
        id: 'request'
    }, {
        subName: '上传文件',
        id: 'uploadFile'
    }, {
        subName: '下载文件',
        id: 'downloadFile'
    }, {
        subName: 'WebSocket',
        id: 'webSocket'
    },
    {
        subName: '图片',
        id: 'api-image'
    }, {
        subName: '预览图片',
        id: 'previewImage'
    }, {
        subName: '文件',
        id: 'file'
    }, {
        subName: '选择视频',
        id: 'chooseVideo'
    }, {
        subName: '录音',
        id: 'getRecorderManager'
    }, {
        subName: '背景音频',
        id: 'getBackgroundAudioManager'
    }, {
        subName: 'AR相机',
        id: 'ar-camera'
    }, {
        subName: '获取位置',
        id: 'getLocation'
    }, {
        subName: '使用原生地图查看位置',
        id: 'openLocation'
    }, {
        subName: '使用原生地图选择位置',
        id: 'chooseLocation'
    }, {
        subName: '数据',
        id: 'storage'
    }
];