/**
 * @file demo api for setNavigationBarTitle
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        newTitle: ''
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'setNavigationBarTitle',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    titleInput(e) {
        this.setData('newTitle', e.detail.value);
    },
    setNavigationBarTitle(e) {
        let newTitle = this.getData('newTitle');
        if (!newTitle) {
            swan.showToast({
                title: '请输入标题'
            });
            return;
        }
        swan.setNavigationBarTitle({
            title: newTitle
        });
    }
});
