/**
 * @file demo api for tabBar
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        redDot: true,
        badge: true,
        style: true,
        show: true
    },
    btnClick(e) {
        const type = e.currentTarget.dataset.type;
        const data = this.getData(type);
        this.setData(type, !data);
        switch (type) {
            case 'redDot':
                swan.showTabBarRedDot({
                    index: 4,
                    success: function () {
                        console.log('showTabBarRedDot success');
                    },
                    fail: function (err) {
                        console.log('showTabBarRedDot fail', err);
                    }
                });
                swan.hideTabBarRedDot({
                    index: 0,
                    success: function () {
                        console.log('hideTabBarRedDot success');
                    },
                    fail: function (err) {
                        console.log('hideTabBarRedDot fail', err);
                    }
                });
                break;
            case 'badge':
                swan.setTabBarBadge({
                    index: 0,
                    text: '文本',
                    success: function () {
                        console.log('setTabBarBadge success');
                    },
                    fail: function (err) {
                        console.log('setTabBarBadge fail', err);
                    }
                });
                swan.removeTabBarBadge({
                    index: 0,
                    success: function () {
                        console.log('removeTabBarBadge success');
                    },
                    fail: function (err) {
                        console.log('removeTabBarBadge fail', err);
                    }
                });
                break;
            case 'style':
                swan.setTabBarStyle({
                    color: '#FFFFBD',
                    selectedColor: '#FFFFBD',
                    backgroundColor: '#FFFFBD',
                    borderStyle: 'white',
                    success: function () {
                        console.log('setTabBarStyle success');
                    },
                    fail: function (err) {
                        console.log('setTabBarStyle fail', err);
                    }
                });
                break;
            case 'show':
                swan.showTabBar({
                    animation: true,
                    success: function () {
                        console.log('showTabBar success');
                    },
                    fail: function (err) {
                        console.log('showTabBar fail', err);
                    }
                });
                swan.hideTabBar({
                    animation: true,
                    success: function () {
                        console.log('hideTabBar success');
                    },
                    fail: function (err) {
                        console.log('hideTabBar fail', err);
                    }
                });
                break;
            case 'item':
                swan.setTabBarItem({
                    index: 0,
                    text: '文本',
                    iconPath: '/images/component_normal.png',
                    selectedIconPath: '/images/component_selected.png',
                    success: function () {
                        console.log('setTabBarItem success');
                    },
                    fail: function (err) {
                        console.log('setTabBarItem fail', err);
                    }
                });
            default:
                // 无默认操作
                break;
        }
    }
});
