/**
 * @file demo api for templateMessage
 * @author swan
 */

/* globals Page, swan*/
/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        code: '',
        'template_id': '84001b219e1940a8b4df49db911a1fb1',
        tempdata: '',
        swanid: '',
        openid: '',
        formId: '',
        'access_token': '',
        data: {
            keyword1: {
                value: '2019年1月1日'
            },
            keyword2: {
                value: '北京市海淀区'
            },
            keyword3: {
                value: '智能小程序'
            },
            keyword4: {
                value: '定义移动时代最佳体验'
            }
        }
    },
    onLoad(e) {
    },
    onShow() {
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'templateMessage',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    onShow() {
        swan.getSwanId({
            success: res => {
                this.setData({
                    swanid: res.data.swanid
                });
            }
        });
    },
    // 提交表单获取formid
    submitForm(e) {
        this.setData({formId: e.detail.formId});
        this.getAccessToken();
    },
    // 获取 Access Token
    getAccessToken() {
        swan.request({
            url: 'https://openapi.baidu.com/oauth/2.0/token?grant_type=client_credentials&client_id=4fecoAqgCIUtzIyA'
                + '4FAPgoyrc4oUc25c&client_secret=TxW50LZNdG1CoB5zXfY5itEaGGGxygjB&scope=smartapp_snsapi_base',
            method: 'POST',
            dataType: 'json',
            header: {
                'content-type': 'application/json' // 默认值
            },
            success: res => {
                this.setData('access_token', res.data.access_token);
                this.login();
            },
            fail: err => {
                console.log('获取 Access Token 失败: ', err);
                swan.showToast({
                    title: '发送失败，请稍候重试',
                    icon: 'none'
                });
            }
        });
    },
    // 登录 获取code
    login() {
        swan.login({
            // 获取code
            success: res => {
                this.setData({
                    code: res.code
                });
                this.getSessionKey();
            },
            fail: err => {
                console.log('login fail', err);
                swan.showToast({
                    title: '发送失败，请稍候重试',
                    icon: 'none'
                });
            }
        });
    },
    // 换取sessionKey
    getSessionKey() {
        const code = this.getData('code');
        swan.request({
            url: 'https://openapi.baidu.com/nalogin/getSessionKeyByCode',
            method: 'GET',
            header: {
                'content-type': 'application/json' // 默认值
            },
            data: {
                code,
                'client_id': '4fecoAqgCIUtzIyA4FAPgoyrc4oUc25c', // 开发者提供
                sk: 'TxW50LZNdG1CoB5zXfY5itEaGGGxygjB' // 开发者提供
            },
            success: res => {
                this.setData({openid: res.data.openid});
                this.send();
            },
            fail: err => {
                console.log('获取sessionKey失败:', err);
                swan.showToast({
                    title: '发送失败，请稍候重试',
                    icon: 'none'
                });
            }
        });
    },
    // 发送模板消息
    send() {
        const data = JSON.stringify(this.getData('data'));
        const accessToken = this.getData('access_token');
        const formId = this.getData('formId');
        const swanid = this.getData('swanid');
        const openid = this.getData('openid');
        const templateId = this.getData('template_id');
        swan.request({
            url: `https://openapi.baidu.com/rest/2.0/smartapp/template/send?access_token=${accessToken}&scene_id=${formId}&scene_type=1&template_id=${templateId}&touser=${swanid}&touser_openId=${openid}&data=${data}`,
            method: 'POST',
            success: res => {
                if (res.data.errno === 0) {
                    swan.showToast({
                        title: '发送成功',
                        icon: 'none'
                    });
                } else {
                    swan.showToast({
                        title: '发送失败，请稍候重试',
                        icon: 'none'
                    });
                }
            },
            fail: err => {
                swan.showToast({
                    title: '发送失败，请稍候重试',
                    icon: 'none'
                });
            }
        });
    }
});