/**
 * @file demo page for uploadFile
 * @author swan
 */

/**
 * @file demo page for apiDemo
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        filePath: ''
    },
    onLoad(e) {
    },

    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'uploadFile',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    chooseImage() {
        swan.chooseImage({
            count: 1,
            sizeType: ['compressed'],
            sourceType: ['album'],
            success: res => {
                this.setData('filePath', res.tempFilePaths[0])
            }
        });
    },
    uploadFile() {
        const filePath = this.getData('filePath');
        if (!filePath) {
            swan.showToast({
                title: '请先上传图片',
                icon: 'none'
            });
        }
        const uploadTask = swan.uploadFile({
            url: 'https://smartprogram.baidu.com/mappconsole/api/checkFile', 
            filePath,
            name: 'myfile',
            header: {
                'content-type': 'application/json'
            },
            formData: {
                'user': 'test'
            },
            success: res => {
                swan.showToast({
                    title: '上传成功',
                    icon: 'none'
                });
                console.log('success', res);
                this.setData({filePath});
            },
            fail: err => {
                console.log('fail', err);
                swan.showToast({
                    title: '上传失败',
                    icon: none
                });
            }
        });
        uploadTask.onProgressUpdate(res => {
            console.log('上传进度', res.progress)
            console.log('已经上传的数据长度', res.totalBytesSent)
            console.log('预期需要上传的数据总长度', res.totalBytesExpectedToSend)
        });
        uploadTask.abort(); // 取消上传任务       
    }
});
