/**
 * @file demo api for connectSocket
 * @author swan
 */

let app = getApp();

Page({
    data: {
        connected: false
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api', 
                name: 'webSocket', 
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    connectChange(e) {
        if (e.detail.checked) {
            swan.onSocketOpen(function (res) {
                console.log('WebSocket 已连接');
            });
            swan.onSocketError(function (res) {
                console.log('WebSocket连接打开失败，请检查！');
                swan.showToast({
                    title: 'WebSocket连接打开失败，请检查！',
                    icon: 'none'
                });
            });
            swan.onSocketClose(function (res) {
                console.log('WebSocket 已关闭！');
            });
            swan.onSocketMessage(function (res) {
                console.log('收到服务器内容：', res.data);
            });
            swan.connectSocket({
                url: 'wss://echo.websocket.org',
                header: {},
                protocols: [''],
                success: res => {
                    console.log('connectSocket success', res);
                    this.setData('connected', true);
                },
                fail: err => {
                    console.log('connectSocket fail', err);
                    swan.showToast({
                        title: JSON.stringify(err),
                        icon: 'none'
                    });
                },
                complete: () => {

                }
            });
        } else {
            swan.closeSocket({
                code: '1001',
                reason: 'close reason',
                success: res => {
                    console.log('closeSocket succ', res);
                    swan.showToast({
                        title: 'WebSocket 已关闭',
                        icon: 'none'
                    });
                    this.setData('connected', false);
                },
                fail: err => {
                    console.log('closeSocket fail', err);
                }
            });
        }
    },
    sendMessage() {
        swan.sendSocketMessage({
            data: '百度智能小程序',
            success: res => {
                console.log('sendSocketMessage succ', res);
                swan.showToast({
                    title: '发送成功',
                    icon: 'none'
                });
            },
            fail: err => {
                console.log('sendSocketMessage fail', err);
                swan.showToast({
                    title: '发送失败',
                    icon: 'none'
                });
            }
        });
    }
});
